package pl.edu.mimuw.cloudatlas.service.interpreter.interpreter.query.Absyn; // Java Package generated by the BNF Converter.

public class EFunC extends BasicExpr {
    public final String qident_;

    public final ListCondExpr listcondexpr_;

    public EFunC(String p1, ListCondExpr p2) {

        qident_ = p1;
        listcondexpr_ = p2;
    }

    public <R, A> R accept(pl.edu.mimuw.cloudatlas.service.interpreter.interpreter.query.Absyn.BasicExpr.Visitor<R, A> v, A arg) {

        return v.visit(this, arg);
    }

    public int hashCode() {

        return 37 * (this.qident_.hashCode()) + this.listcondexpr_.hashCode();
    }

    public boolean equals(Object o) {

        if (this == o) return true;
        if (o instanceof pl.edu.mimuw.cloudatlas.service.interpreter.interpreter.query.Absyn.EFunC) {
            pl.edu.mimuw.cloudatlas.service.interpreter.interpreter.query.Absyn.EFunC x = (pl.edu.mimuw.cloudatlas.service.interpreter.interpreter.query.Absyn.EFunC) o;
            return this.qident_.equals(x.qident_) && this.listcondexpr_.equals(x.listcondexpr_);
        }
        return false;
    }


}
